#ifndef INCLUDED_ERR_
#define INCLUDED_ERR_

#include <sstream>

class Err
{
    static bool s_ok;
    static std::ostringstream s_err;

    public:
        static std::string error();

    protected:
        static std::ostream &err();
        static bool ok();
};
        
// static
inline bool Err::ok()
{
    return s_ok;
}

// static
inline std::string Err::error()
{
    return s_err.str();
}

#endif


